package com.szpg.db.data;

import java.util.Date;

import com.szpg.util.TimeFormat;

/**
 * 氧气浓度报警状态数据表
 * 
 * @author admin
 *
 */
public class PgO2Alm implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -2069351218525911493L;
	
	private Integer id;
	private Boolean o2alm;
	private Date logtime;
	private Date uptime;
	private Integer pgdeviceid;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Boolean getO2alm() {
		return o2alm;
	}

	public void setO2alm(Boolean o2alm) {
		this.o2alm = o2alm;
	}

	public Date getLogtime() {
		return logtime;
	}

	public void setLogtime(Date logtime) {
		this.logtime = logtime;
	}

	public Date getUptime() {
		return uptime;
	}

	public void setUptime(Date uptime) {
		this.uptime = uptime;
	}
	
	public Integer getPgdeviceid() {
		return pgdeviceid;
	}

	public void setPgdeviceid(Integer pgdeviceid) {
		this.pgdeviceid = pgdeviceid;
	}
	
	public void setTm(Date tm) {
		this.logtime = tm;
		this.uptime = tm;
	}
	
	public String getTmStr() {
		if (null != this.logtime) {
			return TimeFormat.formatTimestamp(logtime);
		} else {
			return "";
		}
	}
	
	public String getTmStrGB() {
		if (null != this.logtime) {
			return TimeFormat.format(logtime, "yyyyMMddHHmmss");
		} else {
			return "";
		}
	}

	@Override
	public String toString() {
		return "PgO2Alm[o2alm=" + o2alm + ", logtime=" + TimeFormat.formatTimestamp(logtime) + "]";
	}
}
